package org.wso2.carbon.device.mgt.ios.beans;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.mobile.impl.ios.dto.DEPDevice;

import java.util.ArrayList;
import java.util.List;

public class DEPDeviceList extends BasePaginatedResult {
    private List<DEPDevice> devices = new ArrayList<>();

    @ApiModelProperty(value = "List of DEP Devices returned")
    @JsonProperty("devices")
    public List<DEPDevice> getList() {
        return devices;
    }

    public void setList(List<DEPDevice> devices) {
        this.devices = devices;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("{\n");
        sb.append("  count: ").append(getCount()).append(",\n");
        sb.append("  devices: [").append(devices).append("\n");
        sb.append("]}\n");
        return sb.toString();
    }
}